#### Beyond Linux® From Scratch (System V Edition) - Version 12.1

### Chapter 37. LXQt Desktop

- Prev

  lxqt-session-1.4.0

- Next

  lxqt-panel-1.4.0

- Up
- Home

# pcmanfm-qt-1.4.1

## Introduction to pcmanfm-qt

The pcmanfm-qt is a file manager and desktop icon manager (a Qt port of pcmanfm and libfm).

This package is known to build and work properly using an LFS 12.1 platform.

### Package Information

- Download (HTTP): https://github.com/lxqt/pcmanfm-qt/releases/download/1.4.1/pcmanfm-qt-1.4.1.tar.xz

- Download MD5 sum: 91dfd38d6726ee3ef855beee5a41f8f3

- Download size: 384 KB

- Estimated disk space required: 14 MB

- Estimated build time: 0.4 SBU

### pcmanfm-qt Dependencies

#### Required

liblxqt-1.4.0, libfm-qt-1.4.0, and lxqt-menu-data-1.4.1

#### Recommended

Gvfs-1.52.2 (runtime) and oxygen-icons-5.115.0 or another icon theme (depending on your choice, some icons will be missing in several places)

## Installation of pcmanfm-qt

Install pcmanfm-qt by running the following commands:

    mkdir -v build &&
    cd       build &&

    cmake -DCMAKE_INSTALL_PREFIX=/usr \
          -DCMAKE_BUILD_TYPE=Release  \
          ..       &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

To make pcmanfm-qt easier to find in menus, adjust the .desktop file. Again, as the `root` user:

    sed -e '/Categories=/s/=/=System;FileTools;/' \
        -e '/Name=/s/=.*/=File Manager PCManFM-Qt'/ \
        -i /usr/share/applications/pcmanfm-qt.desktop

## Contents

Installed Program: pcmanfm-qt
Installed Library: None
Installed Directories: /usr/share/pcmanfm-qt

### Short Descriptions

pcmanfm-qt | is a file manager and desktop icon manager

- Prev

  lxqt-session-1.4.0

- Next

  lxqt-panel-1.4.0

- Up
- Home